[Rainmeter]
Author=Badabum
Update=130

LocalFont="#SKINSPATH#\Portal\LCD.ttf"

[Variables]
LocalFontFace=LCD

[Textstyle]
FontSize=11
StringStyle=BOLD
FontColor=255,255,255,120
AntiAlias=1

[BG]
Meter=IMAGE
ImageName=Frame.png

-----------------------------------------------

[ImageMeter]
Meter=Image
x=11
y=36
W=372
H=210
ImageName=Animation\[ImageNumberCalc].jpg
DynamicVariables=1


[ImageNumberCalc]
Measure=Calc
Formula=Counter % 287
IfAboveValue=23
IfAboveAction=!Execute [!RainmeterShowMeterGroup Bar]
IfBelowValue=24
IfBelowAction=!Execute [!RainmeterHideMeterGroup Bar]

------------------------------------------------

[MeasurePhysMemFree]
Measure=PhysicalMemory
InvertMeasure=1
UpdateDivider=8

[MeasureRAM]
Measure=PhysicalMemory
UpdateDivider=8

[MeterRAM]
Meter=String
X=13
Y=37
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text="RAM:"
Group=Bar
Hidden=1

[Button]
Meter=IMAGE
SolidColor=0,0,0,1
X=13
Y=37
W=30
H=15
Group=Bar
Hidden=1
LeftMouseDownAction=!Execute ["%SystemRoot%\System32\resmon.exe"]

[MeterRAMFree]
Meter=String
MeasureName=MeasurePhysMemFree
X=108
Y=0r
MeterStyle=Textstyle
Autoscale=1
StringAlign=RIGHT
FontFace=#LocalFontFace#
Text="%1 Free"
Group=Bar
Hidden=1

[MeterRAMBar]
Meter=Bar
MeasureName=MeasureRAM
BarOrientation=Horizontal
X=108
Y=39
BarImage=bar.png
Group=Bar
Hidden=1

-------------------------------------------------

[MeasureCPUAll]
Measure=CPU
Processor=0
UpdateDivider=8

[MeasureCPUAll2]
Measure=CPU
Processor=0
UpdateDivider=8

[MeterCPU]
Meter=String
X=13
Y=228
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text="CPU:"
Group=Bar
Hidden=1

[Button1]
Meter=IMAGE
SolidColor=0,0,0,1
X=13
Y=228
W=30
H=15
Group=Bar
Hidden=1
LeftMouseDownAction=!Execute ["%SystemRoot%\System32\taskmgr.exe"]

[MeterCPUAll]
Meter=String
MeasureName=MeasureCPUAll
X=107
Y=0r
MeterStyle=Textstyle
Autoscale=1
StringAlign=RIGHT
FontFace=#LocalFontFace#
Text="%1%"
Group=Bar
Hidden=1

[MeterCPUBar]
Meter=Bar
MeasureName=MeasureCPUAll2
BarOrientation=Horizontal
X=107
Y=230
BarImage=bar.png
Group=Bar
Hidden=1

-------------------------------------------------

[MDownload]
Measure=NetIn
UpdateDivider=8

[MUpload]
Measure=NetOut
UpdateDivider=8

[MeterDownload]
Meter=String
X=300
Y=110
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text="D:"
Group=Bar
Hidden=1

[Download]
Meter=STRING
MeasureName=MDownload
X=80r
Y=0r
MeterStyle=Textstyle
Autoscale=1
FontSize=10
StringAlign=RIGHT
FontFace=#LocalFontFace#
Text="%1B/s"
Group=Bar
Hidden=1


[MeterUpload]
Meter=String
X=300
Y=130
MeterStyle=Textstyle
FontFace=#LocalFontFace#
Text="U:"
Group=Bar
Hidden=1

[Upload]
Meter=STRING
MeasureName=MUpload
X=80r
Y=0r
MeterStyle=Textstyle
Autoscale=1
FontSize=10
StringAlign=RIGHT
FontFace=#LocalFontFace#
Text="%1B/s"
Group=Bar
Hidden=1

[measureIP]
Measure=Plugin
Plugin=WebParser.dll
Url=http://checkip.dyndns.org
UpdateRate=144400
RegExp="(?siU)Address: (.*)</body>"
StringIndex=1
Substitute="":"N/A"
Group=Bar
Hidden=1


[meterIPValue]
Meter=STRING
MeterStyle=styleRightText
MeasureName=measureIP
X=290
Y=37
FontFace=LCD
FontSize=11
StringStyle=BOLD
FontColor=255,255,255,120
AntiAlias=1
Group=Bar
Hidden=1

[Button2]
Meter=IMAGE
SolidColor=0,0,0,1
X=290
Y=37
W=90
H=15
Group=Bar
Hidden=1
LeftMouseDownAction=!Execute ["::{7007ACC7-3202-11D1-AAD2-00805FC1270E}"]